import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { PushRegistration, PushRegisterationResponse } from '../models';
import * as i0 from "@angular/core";
export declare class PushService extends BaseService {
    register(registration: PushRegistration): Observable<PushRegisterationResponse>;
    get(tokenId: number): Observable<PushRegisterationResponse>;
    update(tokenId: number, registration: PushRegistration): Observable<PushRegisterationResponse>;
    delete(tokenId: number): Observable<null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PushService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PushService>;
}
