import { UserService } from './http/user.service';
import { BaseService } from './http/base.service';
import { ViewService } from './http/view.service';
import { ContentService } from './http/content.service';
import { TaxonomyService } from './http/taxonomy.service';
import { FileService } from './http/file.service';
import { MediaService } from './http/media.service';
import { FlagService } from './http/flag.service';
import { WebformService } from './http/webform.service';
import { PushService } from './http/push.service';
import { CommerceService } from './http/commerce.service';
import { CommentService } from './http/comment.service';
import { QuizService } from './http/quiz.service';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common/http";
/**
 * implement APP_INITIALIZER
 * @param userService user service
 * @see https://gillespie59.github.io/2016/12/04/angular2-code-before-rendering.html
 */
export declare function init(userService: UserService): () => void;
export declare class Drupal8RestModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<Drupal8RestModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<Drupal8RestModule, never, [typeof i1.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<Drupal8RestModule>;
}
export { BaseService, UserService, ViewService, ContentService, TaxonomyService, FileService, MediaService, FlagService, WebformService, PushService, CommerceService, CommentService, QuizService };
