import { Observable } from 'rxjs';
import { BaseService } from './base.service';
import { CommentType, Comment, CommentEntity } from '../models';
import * as i0 from "@angular/core";
export declare class CommentService extends BaseService {
    create(comment: Comment): Observable<CommentEntity>;
    update(cid: number, comment: Comment): Observable<CommentEntity>;
    delete(cid: number): Observable<null>;
    getById(cid: number): Observable<CommentEntity>;
    getType(type: string): Observable<CommentType>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommentService>;
}
